## django-q 0.9.4

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file requirements.txt requirements.in
#
arrow==0.12.1
blessed==1.14.2
boto3==1.6.7
botocore==1.9.7           # via boto3, s3transfer
certifi==2018.1.18        # via requests
chardet==3.0.4            # via requests
django-picklefield==1.0.0
django-redis==4.9.0
django==2.0.3             # via django-redis
docutils==0.14            # via botocore
hiredis==0.2.0
idna==2.6                 # via requests
iron-core==1.2.0          # via iron-mq
iron-mq==0.9
jmespath==0.9.3           # via boto3, botocore
psutil==5.4.3
pymongo==3.6.1
python-dateutil==2.7.0    # via arrow, botocore, iron-core
pytz==2018.3              # via django
redis==2.10.6
requests==2.18.4          # via iron-core, rollbar
rollbar==0.13.18
s3transfer==0.1.13        # via boto3
six==1.11.0               # via blessed, python-dateutil, rollbar
urllib3==1.22             # via requests
wcwidth==0.1.7            # via blessed

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -nW
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/DjangoQ.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/DjangoQ.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/DjangoQ"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/DjangoQ"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
django-q (0.9.4-1) unstable; urgency=medium

  * New upstream release 0.9.4
  * d/watch:
    - Back to github's url
  * d/rules:
    - Upstream added a changelog! \ô/

 -- Pierre-Elliott Bécue <becue@crans.org>  Sat, 17 Mar 2018 12:13:29 +0100

django-q (0.9.2-2) unstable; urgency=medium

  * d/watch:
    - Change the url to browse from github to pypi.debian.net

 -- Pierre-Elliott Bécue <becue@crans.org>  Sun, 11 Mar 2018 15:36:46 +0100

django-q (0.9.2-1) unstable; urgency=medium

  * New upstream release 0.9.2
  * Merge patches with this new release

 -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 20 Feb 2018 13:47:17 +0100

django-q (0.9.1-2) unstable; urgency=medium

  * Update Vcs-* links in d/control to salsa
  * Add d/patches/0004 to mitigate another issue with python3-only code line.

 -- Pierre-Elliott Bécue <becue@crans.org>  Wed, 14 Feb 2018 16:10:13 +0100

django-q (0.9.1-1) unstable; urgency=medium

  * d/control:
    - Set Multi-Arch: foreign on -doc package
    - Set debhelper dependency version to 11
    - Bump Standards-Version to 4.1.3, no changes required
    - Drop X-Python3-Version as the requirement is lesser than stretch's
      version.
  * Bump compatibility to 11
  * Drop git-dpm
  * New upstream release 0.9.1
  * Add d/patches/0003 to mitigate an issue with python3-only code line
  * d/copyright:
    - Copyright format URL changed to its HTTPS version
    - Update years

 -- Pierre-Elliott Bécue <becue@crans.org>  Wed, 07 Feb 2018 14:45:17 +0100

django-q (0.8.1-1) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * New upstream release 0.8.1
  * d/copyright:
    - Add myself to debian/* copyright
  * d/control:
    - Add myself to Uploaders
    - Bump Standards-Version to 4.1.2
  * d/patches:
    - Add two patches to fix privacy-breach warnings
  * python-django-q-doc: move doc files into
    /usr/share/doc/python-django-q instead of
    /usr/share/doc/python-django-q-doc.

  [ Jonas Meurer ]
  * d/gbp.conf: Add gbp.conf setting pristine-tar = True.

 -- Jonas Meurer <mejo@debian.org>  Wed, 13 Dec 2017 13:18:27 +0100

django-q (0.8.0-1) unstable; urgency=medium

  * Initial release. (closes: #875923)

 -- Jonas Meurer <mejo@debian.org>  Sat, 16 Sep 2017 03:00:13 +0200

=== debian/control ===
Source: django-q
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jonas Meurer <mejo@debian.org>,
           Pierre-Elliott Bécue <becue@crans.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python-all,
               python-arrow,
               python-blessed,
               python-django,
               python-django-picklefield,
               python-django-redis,
               python-future,
               python-pytest,
               python-pytest-django,
               python-setuptools,
               python3-all,
               python3-arrow,
               python3-blessed,
               python3-django,
               python3-django-picklefield,
               python3-django-redis,
               python3-future,
               python3-pytest,
               python3-pytest-django,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-q
Vcs-Git: https://salsa.debian.org/python-team/modules/django-q.git
Homepage: https://github.com/Koed00/django-q
Testsuite: autopkgtest-pkg-python
X-Python-Version: >=2.7

Package: python-django-q
Architecture: all
Depends: python-arrow,
         python-blessed,
         python-django,
         python-django-picklefield,
         python-future,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-django-q-doc,
         python-boto3,
         python-hiredis,
         python-psutil,
         python-pymongo,
         python-redis
Description: Django multiprocessing distributed task queue (Python 2 version)
 A multiprocessing distributed task queue for Django with following features:
 .
  * Multiprocessing worker pool
  * Asynchronous tasks
  * Scheduled and repeated tasks
  * Encrypted and compressed packages
  * Failure and success database or cache
  * Result hooks, groups and chains
  * Django Admin integration
  * PaaS compatible with multiple instances
  * Multi cluster monitor
  * Redis, Disque, IronMQ, SQS, MongoDB or ORM
  * Rollbar support
 .
 This package contains the Python 2 version of the library.

Package: python3-django-q
Architecture: all
Depends: python3-arrow,
         python3-blessed,
         python3-django,
         python3-django-picklefield,
         python3-future,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-django-q-doc,
         python3-boto3,
         python3-hiredis,
         python3-psutil,
         python3-pymongo,
         python3-redis
Description: Django multiprocessing distributed task queue (Python 3 version)
 A multiprocessing distributed task queue for Django with following features:
 .
  * Multiprocessing worker pool
  * Asynchronous tasks
  * Scheduled and repeated tasks
  * Encrypted and compressed packages
  * Failure and success database or cache
  * Result hooks, groups and chains
  * Django Admin integration
  * PaaS compatible with multiple instances
  * Multi cluster monitor
  * Redis, Disque, IronMQ, SQS, MongoDB or ORM
  * Rollbar support
 .
 This package contains the Python 3 version of the library.

Package: python-django-q-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Django multiprocessing distributed task queue (Documentation)
 A multiprocessing distributed task queue for Django with following features:
 .
  * Multiprocessing worker pool
  * Asynchronous tasks
  * Scheduled and repeated tasks
  * Encrypted and compressed packages
  * Failure and success database or cache
  * Result hooks, groups and chains
  * Django Admin integration
  * PaaS compatible with multiple instances
  * Multi cluster monitor
  * Redis, Disque, IronMQ, SQS, MongoDB or ORM
  * Rollbar support
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-q

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

#override_dh_install:
#	dh_install

override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r) $(shell py3versions -r); do \
		PYTHONPATH="." DJANGO_SETTINGS_MODULE=django_q.tests.settings $$python $(shell which django-admin) test django_q.tests;\
	done
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

get-orig-source:
	uscan --verbose --rename

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/Koed00/django-q/releases \
.*[^n]/(?:|v|version-|r|REL_|rel-|(?:django-q)(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## django-q 1.0.1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file requirements.txt requirements.in
#
arrow==0.12.1
blessed==1.15.0
boto3==1.8.3
botocore==1.11.3          # via boto3, s3transfer
certifi==2018.8.24        # via requests
chardet==3.0.4            # via requests
django-picklefield==1.1.0
django-redis==4.9.0
django==2.1               # via django-redis
docutils==0.14            # via botocore
hiredis==0.2.0
idna==2.7                 # via requests
iron-core==1.2.0          # via iron-mq
iron-mq==0.9
jmespath==0.9.3           # via boto3, botocore
psutil==5.4.7
pymongo==3.7.1
python-dateutil==2.7.3    # via arrow, botocore, iron-core
pytz==2018.5              # via django
redis==2.10.6
requests==2.19.1          # via iron-core
s3transfer==0.1.13        # via boto3
six==1.11.0               # via blessed, python-dateutil
urllib3==1.23             # via botocore, requests
wcwidth==0.1.7            # via blessed

=== debian/changelog ===
django-q (1.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Jonas Meurer ]
  * New upstream release 1.0.1
    * Removes python2.7 support
  * d/patches/0003-Replaces-async-occurrences-with-alternatives.patch
    - Remove, got incorporated upstream
  * d/control:
    - Bump standards-version to 3.2.1, no changes required
    - Add versioned (Build-)Depends on python3-django (>= 1:1.11)
    - Remove python2.7 packages

  [ Pierre-Elliott Bécue ]
  * d/control:
    - Replace my Crans address by my debian address in uploaders:
    - Drop python-django-q-doc package in favour of having the doc in the
      python3 package directly.
  * d/python-django-q-doc.{install,links,doc-base}:
    - Removed
  * d/{install,links,doc-base}:
    - Replace the removed files for -doc package.
  * d/patches/0001-Removes-all-links-that-trigger-a-privacy-breach.patch:
    - Reset and updated.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 07 Oct 2018 16:19:33 +0200

django-q (0.9.4-3) unstable; urgency=medium

  * d/control:
    - Add a Breaks statement on python-django-hyperkitty << 1.1.4-7
      (Closes: #905487)
    - Bump Standards-Version to 4.2.0. No change required
  * d/patches/0003:
    - Add the forwarded tag with the pull request on github as a reference.

 -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 07 Aug 2018 14:59:37 +0200

django-q (0.9.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field

  [ Pierre-Elliott Bécue ]
  * d/patches:
    - Add patch 0003, validated by upstream, to fix the python3.7 issues.
      (Closes: #903522)
  * d/control:
    - Bump Standards-Version to 4.1.5. Implements R3 and get-orig-source
    removal.
  * d/rules:
    - Drop get-orig-source rule
  * d/NEWS:
    - Add the breaking changes for this release.

 -- Pierre-Elliott Bécue <becue@crans.org>  Fri, 03 Aug 2018 18:12:34 +0200

=== debian/control ===
Source: django-q
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jonas Meurer <mejo@debian.org>,
           Pierre-Elliott Bécue <peb@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-arrow,
               python3-blessed,
               python3-django (>= 1:1.11),
               python3-django-picklefield,
               python3-django-redis,
               python3-future,
               python3-pytest,
               python3-pytest-django,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-q
Vcs-Git: https://salsa.debian.org/python-team/modules/django-q.git
Homepage: https://github.com/Koed00/django-q
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-django-q
Architecture: all
Depends: python3-arrow,
         python3-blessed,
         python3-django (>= 1:1.11),
         python3-django-picklefield,
         python3-future,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-boto3,
          python3-hiredis,
          python3-psutil,
          python3-pymongo,
          python3-redis
Description: Django multiprocessing distributed task queue (Python 3 version)
 A multiprocessing distributed task queue for Django with following features:
 .
  * Multiprocessing worker pool
  * Asynchronous tasks
  * Scheduled and repeated tasks
  * Encrypted and compressed packages
  * Failure and success database or cache
  * Result hooks, groups and chains
  * Django Admin integration
  * PaaS compatible with multiple instances
  * Multi cluster monitor
  * Redis, Disque, IronMQ, SQS, MongoDB or ORM
  * Rollbar support
 .
 This package contains the Python 3 version of the library.

## django-q 1.0.2

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file requirements.txt requirements.in
#
arrow==0.14.5
blessed==1.15.0
boto3==1.9.205
botocore==1.12.205        # via boto3, s3transfer
certifi==2019.6.16        # via requests
chardet==3.0.4            # via requests
django-picklefield==2.0
django-redis==4.10.0
django==2.2.4             # via django-picklefield, django-redis
docutils==0.14            # via botocore
hiredis==1.0.0
idna==2.8                 # via requests
iron-core==1.2.0          # via iron-mq
iron-mq==0.9
jmespath==0.9.4           # via boto3, botocore
psutil==5.6.3
pymongo==3.8.0
python-dateutil==2.8.0    # via arrow, botocore, iron-core
pytz==2019.2              # via django
redis==3.3.6
requests==2.22.0          # via iron-core
s3transfer==0.2.1         # via boto3
six==1.12.0               # via blessed, python-dateutil
sqlparse==0.3.0           # via django
urllib3==1.25.3           # via botocore, requests
wcwidth==0.1.7            # via blessed

=== debian/changelog ===
django-q (1.0.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Pierre-Elliott Bécue ]
  * New upstream release 1.0.2
  * d/control:
    - Raise debhelper compatibility to 12
    - Bump Standards-Version to 4.4.0

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 17 Aug 2019 23:05:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
            Pierre-Elliott Bécue <peb@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-arrow,
                python3-blessed,
-               python3-django (>= 1:1.11),
+               python3-django,
                python3-django-picklefield,
                python3-django-redis,
                python3-future,
@@ -17,7 +17,7 @@
                python3-pytest-django,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-q
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-q.git
 Homepage: https://github.com/Koed00/django-q
@@ -28,7 +28,7 @@
 Architecture: all
 Depends: python3-arrow,
          python3-blessed,
-         python3-django (>= 1:1.11),
+         python3-django,
          python3-django-picklefield,
          python3-future,
          ${misc:Depends},

## django-q 1.2.1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile requirements.in
#
arrow==0.15.5
asgiref==3.2.3            # via django
blessed==1.17.2
boto3==1.12.1
botocore==1.15.1          # via boto3, s3transfer
certifi==2019.11.28       # via requests
chardet==3.0.4            # via requests
django-picklefield==2.1.1
django-redis==4.11.0
django==3.0.3             # via django-picklefield, django-redis
docutils==0.15.2          # via botocore
hiredis==1.0.1
idna==2.8                 # via requests
iron-core==1.2.0          # via iron-mq
iron-mq==0.9
jmespath==0.9.4           # via boto3, botocore
psutil==5.7.0
pymongo==3.10.1
python-dateutil==2.8.1    # via arrow, botocore, iron-core
pytz==2019.3              # via django
redis==3.4.1
requests==2.22.0          # via iron-core
s3transfer==0.3.3         # via boto3
six==1.14.0               # via blessed, python-dateutil
sqlparse==0.3.0           # via django
urllib3==1.25.8           # via botocore, requests
wcwidth==0.1.8            # via blessed

=== debian/changelog ===
django-q (1.2.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Pierre-Elliott Bécue ]
  * New upstream release 1.2.1
  * d/control:
    - Raise debhelper compatibility to 13
    - Add sphinxdoc:Depends in python3-django-q:Depends.
    - Bump Standards-Version to 4.5.0

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 26 May 2020 12:19:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
            Pierre-Elliott Bécue <peb@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-arrow,
                python3-blessed,
-               python3-django,
+               python3-django (>= 2:2.2),
                python3-django-picklefield,
                python3-django-redis,
                python3-future,
@@ -17,7 +17,7 @@
                python3-pytest-django,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-q
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-q.git
 Homepage: https://github.com/Koed00/django-q
@@ -28,12 +28,14 @@
 Architecture: all
 Depends: python3-arrow,
          python3-blessed,
-         python3-django,
+         python3-django (>= 2:2.2),
          python3-django-picklefield,
          python3-future,
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         ${sphinxdoc:Depends}
 Suggests: python3-boto3,
+          python3-django-redis,
           python3-hiredis,
           python3-psutil,
           python3-pymongo,
@@ -51,6 +53,6 @@
   * PaaS compatible with multiple instances
   * Multi cluster monitor
   * Redis, Disque, IronMQ, SQS, MongoDB or ORM
-  * Rollbar support
+  * Rollbar and Sentry support
  .
  This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-q

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

#override_dh_install:
#	dh_install

override_dh_auto_build:
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python3 in $(shell py3versions -r); do \
		PYTHONPATH="." DJANGO_SETTINGS_MODULE=django_q.tests.settings $$python3 $(shell which django-admin) test django_q.tests;\
	done
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

## django-q 1.3.9

=== requirements.txt ===
ansicon==1.89.0; platform_system == "Windows" \
    --hash=sha256:f1def52d17f65c2c9682cf8370c03f541f410c1752d6a14029f97318e4b9dfec \
    --hash=sha256:e4d039def5768a47e4afec8e89e83ec3ae5a26bf00ad851f914d1240b444d2b1
arrow==1.1.0; python_version >= "3.6" \
    --hash=sha256:8cbe6a629b1c54ae11b52d6d9e70890089241958f63bc59467e277e34b7a5378 \
    --hash=sha256:b8fe13abf3517abab315e09350c903902d1447bd311afbc17547ba1cb3ff5bd8
asgiref==3.3.4; python_version >= "3.6" \
    --hash=sha256:92906c611ce6c967347bbfea733f13d6313901d54dcca88195eaeb52b2a8e8ee \
    --hash=sha256:d1216dfbdfb63826470995d31caed36225dcaf34f182e0fa257a4dd9e86f1b78
blessed==1.18.0 \
    --hash=sha256:5b5e2f0563d5a668c282f3f5946f7b1abb70c85829461900e607e74d7725106e \
    --hash=sha256:1312879f971330a1b7f2c6341f2ae7e2cbac244bfc9d0ecfbbecd4b0293bc755
django-picklefield==3.0.1; python_version >= "3" \
    --hash=sha256:15ccba592ca953b9edf9532e64640329cd47b136b7f8f10f2939caa5f9ce4287 \
    --hash=sha256:3c702a54fde2d322fe5b2f39b8f78d9f655b8f77944ab26f703be6c0ed335a35
django==3.2.4; python_version >= "3.6" \
    --hash=sha256:ea735cbbbb3b2fba6d4da4784a0043d84c67c92f1fdf15ad6db69900e792c10f \
    --hash=sha256:66c9d8db8cc6fe938a28b7887c1596e42d522e27618562517cc8929eb7e7f296
jinxed==1.1.0; platform_system == "Windows" \
    --hash=sha256:6a61ccf963c16aa885304f27e6e5693783676897cea0c7f223270c8b8e78baf8 \
    --hash=sha256:d8f1731f134e9e6b04d95095845ae6c10eb15cb223a5f0cabdea87d4a279c305
python-dateutil==2.8.1; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.3.0" and python_version >= "3.6" \
    --hash=sha256:73ebfe9dbf22e832286dafa60473e4cd239f8592f699aa5adaf10050e6e1823c \
    --hash=sha256:75bb3f31ea686f1197762692a9ee6a7550b59fc6ca3a1f4b5d7e32fb98e2da2a
pytz==2021.1; python_version >= "3.6" \
    --hash=sha256:eb10ce3e7736052ed3623d49975ce333bcd712c7bb19a58b9e2089d4057d0798 \
    --hash=sha256:83a4a90894bf38e243cf052c8b58f381bfe9a7a483f6a9cab140bc7f702ac4da
six==1.16.0; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.3.0" and python_version >= "3.6" \
    --hash=sha256:8abb2f1d86890a2dfb989f9a77cfcfd3e47c2a354b01111771326f8aa26e0254 \
    --hash=sha256:1e61c37477a1626458e36f7b1d82aa5c9b094fa4802892072e49de9c60c4c926
sqlparse==0.4.1; python_version >= "3.6" \
    --hash=sha256:017cde379adbd6a1f15a61873f43e8274179378e95ef3fede90b5aa64d304ed0 \
    --hash=sha256:0f91fd2e829c44362cbcfab3e9ae12e22badaa8a29ad5ff599f9ec109f0454e8
typing-extensions==3.10.0.0; python_version < "3.8" and python_version >= "3.6" \
    --hash=sha256:0ac0f89795dd19de6b97debb0c6af1c70987fd80a2d62d1958f7e56fcc31b497 \
    --hash=sha256:779383f6086d90c99ae41cf0ff39aac8a7937a9283ce0a414e5dd782f4c94a84 \
    --hash=sha256:50b6f157849174217d0656f99dc82fe932884fb250826c18350e159ec6cdf342
wcwidth==0.2.5 \
    --hash=sha256:beb4802a9cebb9144e99086eff703a642a13d6a0052920003a230f3294bbe784 \
    --hash=sha256:c4d647b99872929fdb7bdcaa4fbe7f01413ed3d98077df798530e5b04f116c83

=== debian/changelog ===
django-q (1.3.9-5) unstable; urgency=medium

  * Team upload.
  * Add test-depend on python3-pkg-resources (Closes: #1040412)

 -- Timo Röhling <roehling@debian.org>  Sun, 16 Jul 2023 21:29:05 +0200

django-q (1.3.9-4) unstable; urgency=medium

  * d/watch: update the watch URL so that it works.
  * d/control: Bump Standards-Version to 4.6.1
  * d/patches/000{1,2}: add Forwarded: not-needed
  * d/tests/python3-django-q: Replace py3versions -r with -s.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 29 Oct 2022 18:08:46 +0200

django-q (1.3.9-3) unstable; urgency=medium

  * d/p/0006: Decrease the MAX_RSS for the test_max_rss test
    Closes: #1004606

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 06 Feb 2022 00:23:30 +0100

django-q (1.3.9-2) unstable; urgency=medium

  * d/rules: dh_auto_test: needs a live redis-server to work, let's delegate
    that to autopkgtest
  * d/tests: enable redis-server before running the tests

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 22 Jan 2022 16:32:08 +0100

django-q (1.3.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.

  [ Pierre-Elliott Bécue ]
  * New upstream release 1.3.9
  * Add testing dependencies, and remove the failing override_dh_auto_test.
  * d/p/0004: Fix the BROKER_CLASS monkeypatch in test_brokers
  * d/p/0005: Skip two tests we can't have working
  * d/rules: Remove CHANGELOG.md after install
  * d/control:
    - Bump Standards-Version to 4.6.0
    - Fix missing dh-python Build-Dep
  * d/copyright: Updated
  * d/tests: Add autopkgtest non-superficial tests

  [ Stefano Rivera ]
  * Patch: Declare build-system in pyproject.toml.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 22 Jan 2022 00:55:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,20 @@
 Source: django-q
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jonas Meurer <mejo@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
-               python3-arrow,
-               python3-blessed,
-               python3-django (>= 2:2.2),
-               python3-django-picklefield,
-               python3-django-redis,
-               python3-future,
-               python3-pytest,
-               python3-pytest-django,
-               python3-setuptools,
-               python3-sphinx
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/django-q
-Vcs-Git: https://salsa.debian.org/python-team/modules/django-q.git
+               python3-pkg-resources,
+               python3-poetry-core,
+               python3-sphinx,
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/django-q
+Vcs-Git: https://salsa.debian.org/python-team/packages/django-q.git
 Homepage: https://github.com/Koed00/django-q
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python3-django-q
@@ -35,6 +28,7 @@
          ${python3:Depends},
          ${sphinxdoc:Depends}
 Suggests: python3-boto3,
+          python3-croniter,
           python3-django-redis,
           python3-hiredis,
           python3-psutil,

=== debian/tests/control ===
Tests: python3-django-q
Depends: @,
         python3-all,
         python3-arrow,
         python3-blessed,
         python3-bson,
         python3-croniter,
         python3-django (>= 2:2.2),
         python3-django-picklefield,
         python3-django-redis,
         python3-hiredis,
         python3-future,
         python3-pkg-resources,
         python3-pymongo,
         python3-pytest,
         python3-pytest-django,
         redis-server
Restrictions: needs-root

## django-q 1.6.1

=== requirements.txt ===
--- 
+++ 
@@ -1,22 +1,22 @@
-ansicon==1.89.0; platform_system == "Windows" \
+ansicon==1.89.0; platform_system == "Windows" and python_version >= "2.7" \
     --hash=sha256:f1def52d17f65c2c9682cf8370c03f541f410c1752d6a14029f97318e4b9dfec \
     --hash=sha256:e4d039def5768a47e4afec8e89e83ec3ae5a26bf00ad851f914d1240b444d2b1
-arrow==1.1.0; python_version >= "3.6" \
-    --hash=sha256:8cbe6a629b1c54ae11b52d6d9e70890089241958f63bc59467e277e34b7a5378 \
-    --hash=sha256:b8fe13abf3517abab315e09350c903902d1447bd311afbc17547ba1cb3ff5bd8
+arrow==1.1.1; python_version >= "3.6" \
+    --hash=sha256:77a60a4db5766d900a2085ce9074c5c7b8e2c99afeaa98ad627637ff6f292510 \
+    --hash=sha256:dee7602f6c60e3ec510095b5e301441bc56288cb8f51def14dcb3079f623823a
 asgiref==3.3.4; python_version >= "3.6" \
     --hash=sha256:92906c611ce6c967347bbfea733f13d6313901d54dcca88195eaeb52b2a8e8ee \
     --hash=sha256:d1216dfbdfb63826470995d31caed36225dcaf34f182e0fa257a4dd9e86f1b78
-blessed==1.18.0 \
-    --hash=sha256:5b5e2f0563d5a668c282f3f5946f7b1abb70c85829461900e607e74d7725106e \
-    --hash=sha256:1312879f971330a1b7f2c6341f2ae7e2cbac244bfc9d0ecfbbecd4b0293bc755
+blessed==1.18.1; python_version >= "2.7" \
+    --hash=sha256:dd7c0d33db9a2e7f597b446996484d0ed46e1586239db064fb5025008937dcae \
+    --hash=sha256:8b09936def6bc06583db99b65636b980075733e13550cb6af262ce724a55da23
 django-picklefield==3.0.1; python_version >= "3" \
     --hash=sha256:15ccba592ca953b9edf9532e64640329cd47b136b7f8f10f2939caa5f9ce4287 \
     --hash=sha256:3c702a54fde2d322fe5b2f39b8f78d9f655b8f77944ab26f703be6c0ed335a35
 django==3.2.4; python_version >= "3.6" \
     --hash=sha256:ea735cbbbb3b2fba6d4da4784a0043d84c67c92f1fdf15ad6db69900e792c10f \
     --hash=sha256:66c9d8db8cc6fe938a28b7887c1596e42d522e27618562517cc8929eb7e7f296
-jinxed==1.1.0; platform_system == "Windows" \
+jinxed==1.1.0; platform_system == "Windows" and python_version >= "2.7" \
     --hash=sha256:6a61ccf963c16aa885304f27e6e5693783676897cea0c7f223270c8b8e78baf8 \
     --hash=sha256:d8f1731f134e9e6b04d95095845ae6c10eb15cb223a5f0cabdea87d4a279c305
 python-dateutil==2.8.1; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.3.0" and python_version >= "3.6" \
@@ -35,6 +35,6 @@
     --hash=sha256:0ac0f89795dd19de6b97debb0c6af1c70987fd80a2d62d1958f7e56fcc31b497 \
     --hash=sha256:779383f6086d90c99ae41cf0ff39aac8a7937a9283ce0a414e5dd782f4c94a84 \
     --hash=sha256:50b6f157849174217d0656f99dc82fe932884fb250826c18350e159ec6cdf342
-wcwidth==0.2.5 \
+wcwidth==0.2.5; python_version >= "2.7" \
     --hash=sha256:beb4802a9cebb9144e99086eff703a642a13d6a0052920003a230f3294bbe784 \
     --hash=sha256:c4d647b99872929fdb7bdcaa4fbe7f01413ed3d98077df798530e5b04f116c83

=== debian/changelog ===
django-q (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch to django-q2 since the original django-q seems abandoned
    (Closes: #1059038).
  * Bug fix: "please remove old extraneous dependency on python3-future",
    thanks to Alexandre Detiste (Closes: #1058051).
  * Bug fix: "Fails to build source after successful build", thanks to
    Lucas Nussbaum (Closes: #1044753).
  * Add myself to Uploaders.
  * Bug fix: "django-q's autopkg tests fail with Python 3.12
    (timeout)", thanks to Matthias Klose (Closes: #1056244).

 -- Roland Mas <lolando@debian.org>  Thu, 28 Dec 2023 12:56:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: django-q
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jonas Meurer <mejo@debian.org>,
-           Pierre-Elliott Bécue <peb@debian.org>
+           Pierre-Elliott Bécue <peb@debian.org>,
+	   Roland Mas <lolando@debian.org>,
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -9,8 +10,9 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-pkg-resources,
-               python3-poetry-core,
+               python3-poetry,
                python3-sphinx,
+	       python3-sphinx-rtd-theme,
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-q
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-q.git
@@ -23,7 +25,6 @@
          python3-blessed,
          python3-django (>= 2:2.2),
          python3-django-picklefield,
-         python3-future,
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends}

=== debian/tests/control ===
--- 
+++ 
@@ -14,5 +14,7 @@
          python3-pymongo,
          python3-pytest,
          python3-pytest-django,
+         python3-poetry,
+         python3-pytest-cov,
          redis-server
-Restrictions: needs-root
+Restrictions: needs-root, allow-stderr

## django-q 1.6.2

=== debian/changelog ===
django-q (1.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/patches/0002: refresh.
  * d/patches/0003: drop, applied upstream.
  * Point Homepage to django-q2 project.
  * Remove unnecessary Build-Depends.
  * Remove python3-arrow from Depends, not used anymore.
  * Demote python3-blessed from Depends to Suggests.
  * Clean up dependencies of the autopkgtest.
  * Add python3-setproctitle to Suggests.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 03 Aug 2024 17:24:43 +0200

=== debian/control ===
Source: django-q
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jonas Meurer <mejo@debian.org>,
           Pierre-Elliott Bécue <peb@debian.org>,
           Roland Mas <lolando@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-poetry-core,
               python3-sphinx,
               python3-sphinx-rtd-theme,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-q
Vcs-Git: https://salsa.debian.org/python-team/packages/django-q.git
Homepage: https://github.com/django-q2/django-q2
Rules-Requires-Root: no

Package: python3-django-q
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Suggests: python3-blessed,
          python3-boto3,
          python3-croniter,
          python3-django-redis,
          python3-hiredis,
          python3-psutil,
          python3-pymongo,
          python3-redis,
          python3-setproctitle,
Description: Django multiprocessing distributed task queue (Python 3 version)
 A multiprocessing distributed task queue for Django with following features:
 .
  * Multiprocessing worker pool
  * Asynchronous tasks
  * Scheduled and repeated tasks
  * Encrypted and compressed packages
  * Failure and success database or cache
  * Result hooks, groups and chains
  * Django Admin integration
  * PaaS compatible with multiple instances
  * Multi cluster monitor
  * Redis, Disque, IronMQ, SQS, MongoDB or ORM
  * Rollbar and Sentry support
 .
 This package contains the Python 3 version of the library.

## django-q 1.7.3

=== debian/changelog ===
django-q (1.7.3-1) unstable; urgency=medium

  * New upstream release 1.7.3
  * Bump Standards-Version to 4.7.0
  * Mark a patch as non-forwardable

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 20 Oct 2024 16:18:25 +0200

## django-q 1.7.4

=== Makefile ===
dev:
	docker compose -f web-docker-compose.yaml up

test:
	docker-compose -f test-services-docker-compose.yaml run --rm django-q2 poetry run pytest

shell:
	docker-compose -f test-services-docker-compose.yaml run --rm django-q2 poetry run python manage.py shell

makemigrations:
	docker-compose -f test-services-docker-compose.yaml run --rm django-q2 poetry run python manage.py makemigrations

migrate:
	docker-compose -f test-services-docker-compose.yaml run --rm django-q2 poetry run python manage.py migrate

createsuperuser:
	docker compose -f web-docker-compose.yaml run --rm web python manage.py createsuperuser

format:
	docker compose -f test-services-docker-compose.yaml run --rm django-q2 poetry run ruff format .
	docker compose -f test-services-docker-compose.yaml run --rm django-q2 poetry run ruff check . --fix

=== debian/changelog ===
django-q (1.7.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.7.4
  * Refresh patches.
    Applied upstream and dropped from the Debian package:
    - 0004-Fix-BROKER_CLASS-monkeypatch-in-test_brokers.patch
    - 0006-Decrease-the-MAX_RSS-set-in-test_cluster-test_max_rs.patch
  * autopkgtest: run through all python versions even when one fails

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 29 Nov 2024 17:10:31 -0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-poetry-core,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-q
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-q.git
 Homepage: https://github.com/django-q2/django-q2

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-q
export PYBUILD_AFTER_INSTALL=rm -f '{destdir}/{install_dir}/CHANGELOG.md'

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:

override_dh_auto_build:
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md
